## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDOMException Class Reference

`#include <XalanDOMException.hpp>`

Inheritance diagram for XalanDOMException:

[legend]
List of all members.

## Public Types

Enumerators for DOM Exceptions

- enum ExceptionCode {
  INDEX_SIZE_ERR = 1, DOMSTRING_SIZE_ERR = 2, HIERARCHY_REQUEST_ERR = 3, WRONG_DOCUMENT_ERR = 4,
  INVALID_CHARACTER_ERR = 5, NO_DATA_ALLOWED_ERR = 6, NO_MODIFICATION_ALLOWED_ERR = 7, NOT_FOUND_ERR = 8,
  NOT_SUPPORTED_ERR = 9, INUSE_ATTRIBUTE_ERR = 10, INVALID_STATE_ERR = 11, SYNTAX_ERR = 12,
  INVALID_MODIFICATION_ERR = 13, NAMESPACE_ERR = 14, INVALID_ACCESS_ERR = 15, UNKNOWN_ERR = 201,
  TRANSCODING_ERR = 202
  }

## Public Methods

- virtual ExceptionCode getExceptionCode () const
    Returns a code value, from the set defined by the ExceptionCode enum, indicating the type of error that occurred. More...

Constructors and assignment operator

- XalanDOMException (ExceptionCode code=UNKNOWN_ERR)
    Constructor which takes an error code and a message. More...
- XalanDOMException (const XalanDOMException &theSource)
    Copy constructor. More...

Destructor.

- virtual ~XalanDOMException ()
    Destructor for XalanDOMException. More...

## Member Enumeration Documentation

enum XalanDOMException::ExceptionCode

  | Enumeration values:
  INDEX_SIZE_ERR |
  DOMSTRING_SIZE_ERR |
  HIERARCHY_REQUEST_ERR |
  WRONG_DOCUMENT_ERR |
  INVALID_CHARACTER_ERR |
  NO_DATA_ALLOWED_ERR |
  NO_MODIFICATION_ALLOWED_ERR |
  NOT_FOUND_ERR |
  NOT_SUPPORTED_ERR |
  INUSE_ATTRIBUTE_ERR |
  INVALID_STATE_ERR |
  SYNTAX_ERR |
  INVALID_MODIFICATION_ERR |
  NAMESPACE_ERR |
  INVALID_ACCESS_ERR |
  UNKNOWN_ERR |
  TRANSCODING_ERR |

## Constructor & Destructor Documentation

XalanDOMException::XalanDOMException ( | ExceptionCode code = UNKNOWN_ERR )`[explicit]`

  | Constructor which takes an error code and a message. Parameters:
  code | The error code which indicates the exception

XalanDOMException::XalanDOMException ( | const XalanDOMException & theSource )

  | Copy constructor. Parameters:
  other | The object to be copied.

XalanDOMException::~XalanDOMException ( | )`[virtual]`

| Destructor for XalanDOMException.

## Member Function Documentation

ExceptionCode XalanDOMException::getExceptionCode ( | ) const`[virtual]`

| Returns a code value, from the set defined by the ExceptionCode enum, indicating the type of error that occurred. Returns: The exception code.

The documentation for this class was generated from the following file:

- XalanDOMException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.